import 'dart:async';

import 'package:circumstellar/src/discord_client.dart';
import 'package:circumstellar/src/models/entity_base.dart';

abstract class ChannelBase extends EntityBase {
  /// The type of this [ChannelBase]. You can use [ChannelType] to assist with identifying.
  int type = 0;

  ChannelBase(DiscordClient client) : super(client);

  /// Creates a new [ChannelBase] with the appropriate type from a JSON channel object.
  static Future<ChannelBase> createFromJson(
      Map<String, dynamic> json, DiscordClient client) async {
    switch (json['type']) {
      case 0:
        // Guild text
        return client.entities.getEntity(json['id'], 'GuildTextChannel');
      case 1:
        // DM
        break;
      case 2:
        // Guild voice
        break;
      case 3:
        // Group DM
        break;
      case 4:
        // Guild category
        break;
      default:
        return null;
    }
    return null;
  }
}
