import 'package:circumstellar/src/discord_client.dart';

import 'dart:async';

/// Represents a generic Discord entity with an ID.
abstract class EntityBase {
  /// ID of this entity (usually a snowflake converted to a string)
  String id;

  /// The [DiscordClient] this entity belongs to.
  DiscordClient client;

  /// The raw data used to construct this entity.
  Map<String, dynamic> rawData;

  /// Updates this entity based on new JSON data.
  Future updateModel(Map<String, dynamic> json, DiscordClient client) async {
    this.id = json['id'];
  }

  /// Creates a blank entity.
  EntityBase(this.client);
}
