import 'dart:async';

import 'package:circumstellar/src/discord_client.dart';
import 'package:circumstellar/src/models/channel_base.dart';
import 'package:circumstellar/src/models/guild.dart';

/// Represents a Discord channel inside of a guild.
class GuildChannel extends ChannelBase {
  GuildChannel(DiscordClient client) : super(client);

  /// The name of this channel.
  String name = '';

  /// The ID of the guild this channel belongs to.
  String guildId = "";

  /// The [Guild] this channel belongs to.
  Guild guild = null;

  Future updateModel(Map<String, dynamic> json, DiscordClient client) async {
    await super.updateModel(json, client);
    this.guildId = json['guild_id'] ?? this.guildId;
    this.guild =
        (await client.entities.getEntity(json['guild_id'], 'Guild') as Guild) ??
            this.guild;
    this.name = json['name'] ?? this.name;
  }
}
