/**
 * username_validator.dart
 * Circumstellar - Models/User Utilities
 * 
 * Created by Jackson Rakena
 * Copyright (c) 2018 Jackson Rakena. All rights reserved.
 * Part of the Circumstellar project, licensed under a 3-Clause BSD License (under LICENSE)
 */

class UsernameValidator {
  static bool validateUsernameOrNickname(String name) {
    var failed = false;
    var length = name.length;
    if (length > 32 || length < 2) {
      failed = true;
    }
    var illegalCharacters = ['@', '#', ':', '```'];
    var illegalNames = ['discordtag', 'everyone', 'here'];
    illegalCharacters.forEach((illegalChar) {
      if (name.contains(illegalChar)) {
        failed = true;
      }
    });
    illegalNames.forEach((illegalName) {
      if (name == illegalName) {
        failed = true;
      }
    });
    return !failed;
  }
}
